Search contact
curl --request POST \
--url https://app.lev8.com/v1/contact-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contact_type": "email",
"objective": "Find the work email of Jane Smith, VP of Engineering at Acme Corp. Owner signals: linkedin_url=https://www.linkedin.com/in/jane-smith-acme"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contact_type: 'email',
objective: 'Find the work email of Jane Smith, VP of Engineering at Acme Corp. Owner signals: linkedin_url=https://www.linkedin.com/in/jane-smith-acme'
})
};
fetch('https://app.lev8.com/v1/contact-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.lev8.com/v1/contact-search"
payload = {
"contact_type": "email",
"objective": "Find the work email of Jane Smith, VP of Engineering at Acme Corp. Owner signals: linkedin_url=https://www.linkedin.com/in/jane-smith-acme"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"object": "contact_search_result",
"request": {
"contact_type": "email",
"objective": "Find the work email of Jane Smith, VP of Engineering at Acme Corp. Owner signals: linkedin_url=https://www.linkedin.com/in/jane-smith-acme"
},
"result": {
"content": "jane.smith@acmecorp.com",
"reference": "..."
},
"created_at": "2026-07-29T00:00:00Z"
}Contact Search
Search contact
Find an email address or phone number for one contact.
POST
/
v1
/
contact-search
Search contact
curl --request POST \
--url https://app.lev8.com/v1/contact-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contact_type": "email",
"objective": "Find the work email of Jane Smith, VP of Engineering at Acme Corp. Owner signals: linkedin_url=https://www.linkedin.com/in/jane-smith-acme"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contact_type: 'email',
objective: 'Find the work email of Jane Smith, VP of Engineering at Acme Corp. Owner signals: linkedin_url=https://www.linkedin.com/in/jane-smith-acme'
})
};
fetch('https://app.lev8.com/v1/contact-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.lev8.com/v1/contact-search"
payload = {
"contact_type": "email",
"objective": "Find the work email of Jane Smith, VP of Engineering at Acme Corp. Owner signals: linkedin_url=https://www.linkedin.com/in/jane-smith-acme"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"object": "contact_search_result",
"request": {
"contact_type": "email",
"objective": "Find the work email of Jane Smith, VP of Engineering at Acme Corp. Owner signals: linkedin_url=https://www.linkedin.com/in/jane-smith-acme"
},
"result": {
"content": "jane.smith@acmecorp.com",
"reference": "..."
},
"created_at": "2026-07-29T00:00:00Z"
}Searches for one email address or phone number and returns a JSON response.
See Contact Search for objective guidance, billing behavior, and errors.
Idempotency-Key is optional. When omitted, Lev8 generates one and returns the final value in the response Header.
Example
curl "https://app.lev8.com/v1/contact-search" \
--request POST \
--header "Content-Type: application/json" \
--header "Authorization: Bearer $LEV8_API_KEY" \
--header "Idempotency-Key: $(uuidgen)" \
--data '{
"contact_type": "email",
"objective": "Find the work email of Jane Smith, VP of Engineering at Acme Corp. Owner signals: linkedin_url=https://www.linkedin.com/in/jane-smith-acme"
}'
Response
{
"object": "contact_search_result",
"request": {
"contact_type": "email",
"objective": "Find the work email of Jane Smith, VP of Engineering at Acme Corp. Owner signals: linkedin_url=https://www.linkedin.com/in/jane-smith-acme"
},
"result": {
"content": "jane.smith@acmecorp.com",
"reference": "..."
},
"created_at": "2026-07-29T00:00:00Z"
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional stable key for this logical lookup. When omitted, lev8 generates one and returns it in the response Header.
Maximum string length:
128Body
application/json